package jp.hishidama.eval.sample;

import jp.hishidama.eval.Expression;
import jp.hishidama.eval.ExpRuleFactory;

/**
 * œK̗
 * 
 * @author <a target="hishidama"
 *         href="http://www.ne.jp/asahi/hishidama/home/soft/java/eval.html">Ђ</a>
 */
public class Optimize {

	public static void main(String[] args) {
		if (args.length <= 0) {
			System.out.println("set args");
			return;
		}
		String str = args[0];
		System.out.println("́F" + str);

		Expression exp = ExpRuleFactory.getDefaultRule().parse(str);
		System.out.println("O@F" + exp.toString());

		Expression opt = exp.dup();
		opt.optimizeLong(null);
		System.out.println("@F" + opt.toString());

		System.out.println("ȑOF" + exp.toString());
	}
}
