package jp.hishidama.eval.rule;

import jp.hishidama.eval.EvalException;
import jp.hishidama.eval.Rule;
import junit.framework.TestCase;

/**
 * Java[̃eXg.
 * 
 * @author <a target="hishidama"
 *         href="http://www.ne.jp/asahi/hishidama/home/soft/java/eval.html">Ђ</a>
 */
public class JavaRuleFactoryTest extends TestCase {

	protected Rule rule = JavaRuleFactory.getJavaRule();

	public void testRule() {
		assertEquals("2 * 3", rule.parse("2*3").toString());
		assertError("2**2");
		assertError("a**=2");
		assertError("1,2,3");
	}

	protected void assertError(String str) {
		try {
			rule.parse(str);
		} catch (EvalException e) {
			return; // OK
		}
		fail("ON͂");
	}

}
