package jp.hishidama.eval.sample;

import jp.hishidama.eval.ExpRuleFactory;
import jp.hishidama.eval.Expression;
import jp.hishidama.eval.Rule;
import jp.hishidama.eval.exp.*;

/**
 * Ǝ[̍쐬
 * 
 * @author <a target="hishidama"
 *         href="http://www.ne.jp/asahi/hishidama/home/soft/java/eval.html">Ђ</a>
 */
public class FactorySample {
	public static void main(String[] args) {

		BasicPowerRuleFactory factory = new BasicPowerRuleFactory();
		Rule rule = factory.getRule();

		String str = "256 ^ 2";
		System.out.println("F" + str);

		Expression exp = rule.parse(str);
		long ret = exp.evalLong();

		System.out.println("= " + ret);
	}

	/**
	 * ݏ̉ZqBASIĆu^vɂt@Ng[.
	 */
	public static class BasicPowerRuleFactory extends ExpRuleFactory {

		public BasicPowerRuleFactory() {
			super();
		}

		protected AbstractExpression createXorExpression() {
			// u^vrI_ał͎gȂ悤ɂ
			return null;
		}

		protected AbstractExpression createLetXorExpression() {
			// u^=vrI_ał͎gȂ悤ɂ
			return null;
		}

		protected AbstractExpression createPowerExpression() {
			// u^vwZqƂ
			AbstractExpression e = new PowerExpression();
			e.setOperator("^");
			return e;
		}

		protected AbstractExpression createLetPowerExpression() {
			// u^=vwZ̑ZqƂ
			AbstractExpression e = new LetPowerExpression();
			e.setOperator("^=");
			return e;
		}
	}

}
